Skip to main content
PATCH
Update dashboard

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

dashboardId
integer<int64>
required

The ID of the dashboard to update.

Body

application/json
archived
boolean

Whether to archive (true) or restore (false) the dashboard. Cannot be combined with any other fields.

businessUnitId
object

The new business unit ID to use for the dashboard. Set to null to reset to the account's default business unit. Omit to leave unchanged.

description
object

The new description to use for the dashboard. Set to null to clear the description. Omit to leave unchanged.

name
string

The new name to use for the dashboard. Omit to leave unchanged.

ownerUserId
string

The ID of the user to change the dashboard's owner to. Omit to leave unchanged.

permissions
object

Response

successful operation

archived
boolean
required

Whether the dashboard is archived.

businessUnitId
string
required

The ID of the business unit that the dashboard is associated with.

createdAt
string<date-time>
required

The date and time when the dashboard was created, in ISO 8601 format.

id
string
required

The ID of the dashboard.

name
string
required

The name of the dashboard.

updatedAt
string<date-time>
required

The date and time when the dashboard was last updated, in ISO 8601 format.

archivedAt
string<date-time>

If the dashboard is archived, the date and time when the dashboard was archived, in ISO 8601 format. Absent if the dashboard is not archived.

createdByUserId
string

The ID of the user who created the dashboard. May be absent.

description
string

A description of the dashboard. May be absent.

lastViewedAt
string<date-time>

The date and time when the dashboard was last viewed, in ISO 8601 format. Absent if it has not been viewed yet.

lastViewedByUserId
string

The ID of the user who last viewed the dashboard. Absent if it has not been viewed yet.

ownerUserId
string

The ID of the user who owns the dashboard. Absent if the dashboard is currently unowned.

permissions
object
tags
object[]

Array of objects representing the tags that the dashboard is tagged with.

Only returned when requested by including the tags field in the properties query parameter.

updatedByUserId
string

The ID of the user who last updated the dashboard. May be absent.

widgets
object[]

An array of objects representing the widgets on the dashboard.

Only returned when requested by including the widgets field in the properties query parameter.

Last modified on September 15, 2026